/**
 * report module, messages to the user
 *
 * 20.03.2001, Christoph Zenger, Matthias Zenger
 */
package expression;

public class Report {
    /** number of errors encountered
     */
    public static int errCount = 0;
    
    /** should debug print anything
     */
    public static boolean debugFlag = true;

    /** signal an error to the user
     */
    public static void error(int pos, String message) {
	System.err.println(Position.toString(pos) + " " + message);
	errCount ++;
    }

    /** give a debugging message
     */
    public static void debug(int pos, String key, String message) {
	if (debugFlag) {
	    System.err.println(Position.toString(pos) + "["
			       + key + "] " + message);
	}
    }

    /** give a bug message
     */
    public static void bug() {
	throw new InternalError("bug");
    }
}
